## NMDeviceEthernet NMDeviceEthernet |

## Functions

const char * | nm_device_ethernet_get_hw_address ()
const char * | nm_device_ethernet_get_permanent_hw_address ()
guint32 | nm_device_ethernet_get_speed ()
gboolean | nm_device_ethernet_get_carrier ()
const char * const * | nm_device_ethernet_get_s390_subchannels ()

## Properties

gboolean | carrier | Read
gchar * | hw-address | Read
gchar * | perm-hw-address | Read
GStrv | s390-subchannels | Read
guint | speed | Read

## Types and Values

#define | NM_DEVICE_ETHERNET_HW_ADDRESS
#define | NM_DEVICE_ETHERNET_PERMANENT_HW_ADDRESS
#define | NM_DEVICE_ETHERNET_SPEED
#define | NM_DEVICE_ETHERNET_CARRIER
#define | NM_DEVICE_ETHERNET_S390_SUBCHANNELS
| NMDeviceEthernet

## Object Hierarchy

        GObject
        ╰── NMObject
            ╰── NMDevice
                ╰── NMDeviceEthernet

## Implemented Interfaces

NMDeviceEthernet implements GInitable and GAsyncInitable.

## Description

## Functions

### nm_device_ethernet_get_hw_address ()

    const char *
    nm_device_ethernet_get_hw_address (NMDeviceEthernet *device);

Gets the active hardware (MAC) address of the NMDeviceEthernet

#### Parameters

device | a NMDeviceEthernet |

#### Returns

the active hardware address. This is the internal string used by the device, and must not be modified.

### nm_device_ethernet_get_permanent_hw_address ()

    const char *
    nm_device_ethernet_get_permanent_hw_address
                                   (NMDeviceEthernet *device);

Gets the permanent hardware (MAC) address of the NMDeviceEthernet

#### Parameters

device | a NMDeviceEthernet |

#### Returns

the permanent hardware address. This is the internal string used by the device, and must not be modified.

### nm_device_ethernet_get_speed ()

    guint32
    nm_device_ethernet_get_speed (NMDeviceEthernet *device);

Gets the speed of the NMDeviceEthernet in Mbit/s.

#### Parameters

device | a NMDeviceEthernet |

#### Returns

the speed of the device in Mbit/s

### nm_device_ethernet_get_carrier ()

    gboolean
    nm_device_ethernet_get_carrier (NMDeviceEthernet *device);

Whether the device has carrier.

#### Parameters

device | a NMDeviceEthernet |

#### Returns

`TRUE` if the device has carrier

### nm_device_ethernet_get_s390_subchannels ()

    const char * const *
    nm_device_ethernet_get_s390_subchannels
                                   (NMDeviceEthernet *device);

Return the list of s390 subchannels if the device supports them.

#### Parameters

device | a NMDeviceEthernet |

#### Returns

array of strings, each specifying one subchannel the s390 device uses to communicate to the host.

[transfer none][element-type utf8]

Since: 1.2

## Types and Values

### NM_DEVICE_ETHERNET_HW_ADDRESS

    #define NM_DEVICE_ETHERNET_HW_ADDRESS  "hw-address"

### NM_DEVICE_ETHERNET_PERMANENT_HW_ADDRESS

    #define NM_DEVICE_ETHERNET_PERMANENT_HW_ADDRESS "perm-hw-address"

### NM_DEVICE_ETHERNET_SPEED

    #define NM_DEVICE_ETHERNET_SPEED       "speed"

### NM_DEVICE_ETHERNET_CARRIER

    #define NM_DEVICE_ETHERNET_CARRIER     "carrier"

### NM_DEVICE_ETHERNET_S390_SUBCHANNELS

    #define NM_DEVICE_ETHERNET_S390_SUBCHANNELS "s390-subchannels"

### NMDeviceEthernet

    typedef struct _NMDeviceEthernet NMDeviceEthernet;

## Property Details

### The `“carrier”` property

      “carrier”                  gboolean

Whether the device has carrier.

Flags: Read

Default value: FALSE

### The `“hw-address”` property

      “hw-address”               gchar *

The active hardware (MAC) address of the device.

Flags: Read

Default value: NULL

### The `“perm-hw-address”` property

      “perm-hw-address”          gchar *

The permanent hardware (MAC) address of the device.

Flags: Read

Default value: NULL

### The `“s390-subchannels”` property

      “s390-subchannels”         GStrv

Identifies subchannels of this network device used for communication with z/VM or s390 host.

Flags: Read

Since: 1.2

### The `“speed”` property

      “speed”                    guint

The speed of the device.

Flags: Read

Default value: 0